--This trigger was created for UPD-3212 to update the base url 
--To create this trigger just run the script below in the database

IF OBJECT_ID ('EmailBaseURL_TR', 'TR') IS NOT NULL
	drop trigger EmailBaseURL_TR
go

CREATE TRIGGER EmailBaseURL_TR ON [SystemSetting]
    AFTER INSERT, UPDATE
	as
BEGIN  
  DECLARE @systemI varchar(255)
  DECLARE @systemV varchar(255)
  DECLARE @alertProfileP varchar(255)

   select @systemI = (select item from inserted)
	if @systemI = 'Email Base URL'
		select @systemV = (select Value from inserted where Item = @systemI);
		if @systemV is not Null
		 	update AlertProfile set Parameters = 'applicationURL=' + @systemV where AlertProfile_ID in (
			select AlertProfile_ID from AlertProfile where Parameters like 'applicationURL=%') 
END

GO